summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-07-18 23:11:45 +0100
committerLeah Rowe <leah@libreboot.org>2024-07-18 23:11:45 +0100
commit9b1b955767fc2e750095d302aa4f95680e2cfacb (patch)
treee132b77c0d1f79e90a54ba8e64850f24005403e5
parent82bdf27072e555271fdc3d7cf0081a9e671c3a15 (diff)
git.sh: fix typo in git command
the || : condition should be used, whereas i just wrote : by mistake. this was done in a previous change. fix it now. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/git.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/git.sh b/include/git.sh
index 24907a8d..43a45434 100644
--- a/include/git.sh
+++ b/include/git.sh
@@ -108,7 +108,7 @@ tmpclone()
x_ mkdir -p "cache/repo"
if [ -d "$repodir" ] && [ $# -lt 6 ]; then
git -C "$repodir" pull || sleep 3 || git -C "$repodir" pull \
- || sleep 3 || git -C "$repodir" pull :
+ || sleep 3 || git -C "$repodir" pull || :
else
git clone $1 "$repodir" || git clone $2 "$repodir" || \
$err "!clone $1 $2 $repodir $4 $5"